"Fossies" - the Fresh Open Source Software Archive

Member "netbiff-0.9.18/do_install.sh" (7 Feb 2005, 739 Bytes) of package /linux/privat/old/netbiff-0.9.18.tar.gz:


As a special service "Fossies" has tried to format the requested source page into HTML format using (guessed) Bash source code syntax highlighting (style: standard) with prefixed line numbers and code folding option. Alternatively you can here view or download the uninterpreted source code file.

    1 # Public domain.
    2 
    3 die() {
    4   echo do_install: fatal: "$@" >&2
    5   exit 111
    6 }
    7 
    8 d() {
    9   owner=
   10   group=
   11   if test "$2" -ne "-1"; then
   12     owner="-o $2"
   13   fi
   14   if test "$3" -ne "-1"; then
   15     group="-o $3"
   16   fi
   17 
   18   $install_verbose echo Creating directory "$1"
   19   install -d -m $4 $owner $group "${DESTDIR}$1" \
   20     || die "unable to make directory $1"
   21 }
   22 
   23 c() {
   24   owner=
   25   group=
   26   if test "$3" -ne "-1"; then
   27     owner="-o $3"
   28   fi
   29   if test "$4" -ne "-1"; then
   30     group="-o $4"
   31   fi
   32 
   33   $install_verbose echo Copying file "$1/$2"
   34   install -c -m $5 $owner $group $2 "${DESTDIR}$1/$2" \
   35     || die "unable to install file $1"
   36 }
   37 
   38 install_verbose_on() {
   39   install_verbose=
   40 }
   41 
   42 install_verbose_off() {
   43   install_verbose=:
   44 }
   45 
   46 install_verbose_off
   47 hier